Forums Neueste Beiträge
 

Gnome startet nicht mehr

10/12/2013 - 02:47 von Andreas Kohlbach | Report spam
Endlich mal wieder ein Problem hier. ;-)

Ich habe Debian Jessie und diverse Gnome und XFCE in aktuellen Versionen
in Englisch. Nach einem Update heute startet nicht mal mehr GDM3, und ich
bekomme einen Schirm "Oh no! Something went wrong" und nur einen Knopf
"Logout".

Das Update heute hatte u.a.:


[UPGRADE] dbus:i386 1.6.18-1 -> 1.6.18-2
[UPGRADE] dbus-x11:i386 1.6.18-1 -> 1.6.18-2
[UPGRADE] gir1.2-gdkpixbuf-2.0:i386 2.28.2-1 -> 2.28.2-1+b1
[UPGRADE] git:i386 1:1.8.4.3-1 -> 1:1.8.5.1-1
[UPGRADE] git-man:i386 1:1.8.4.3-1 -> 1:1.8.5.1-1
[UPGRADE] libbasicusageenvironment0:i386 2:2013.11.06-dmo1 -> 2:2013.11.26-dmo1
[UPGRADE] libdbus-1-3:i386 1.6.18-1 -> 1.6.18-2
[UPGRADE] libfdk-aac0:i386 1:0.1.2-dmo2 -> 1:0.1.3-dmo1
[UPGRADE] libgd3:i386 2.1.0-3 -> 2.1.0-3+b1
[UPGRADE] libgdk-pixbuf2.0-0:i386 2.28.2-1 -> 2.28.2-1+b1
[UPGRADE] libgroupsock1:i386 2:2013.11.06-dmo1 -> 2:2013.11.26-dmo1
[UPGRADE] libimlib2:i386 1.4.5-4 -> 1.4.5-4+b1
[UPGRADE] libio-socket-ssl-perl:i386 1.955-1 -> 1.962-1
[UPGRADE] liblcms1:i386 1.19.dfsg-1.2 -> 1.19.dfsg-1.2+b1
[UPGRADE] liblcms2-2:i386 2.2+git20110628-2.3 -> 2.2+git20110628-2.3+b1
[UPGRADE] libmono-corlib4.0-cil:i386 3.0.6+dfsg2-9 -> 3.0.6+dfsg2-10
[UPGRADE] libmono-corlib4.5-cil:i386 3.0.6+dfsg2-9 -> 3.0.6+dfsg2-10
[UPGRADE] libmono-security4.0-cil:i386 3.0.6+dfsg2-9 -> 3.0.6+dfsg2-10
[UPGRADE] libmono-system-configuration4.0-cil:i386 3.0.6+dfsg2-9 -> 3.0.6+dfsg2-10
[UPGRADE] libmono-system-security4.0-cil:i386 3.0.6+dfsg2-9 -> 3.0.6+dfsg2-10
[UPGRADE] libmono-system-xml4.0-cil:i386 3.0.6+dfsg2-9 -> 3.0.6+dfsg2-10
[UPGRADE] libmono-system4.0-cil:i386 3.0.6+dfsg2-9 -> 3.0.6+dfsg2-10
[UPGRADE] libpixman-1-0:i386 0.30.2-1 -> 0.30.2-2
[UPGRADE] libusageenvironment1:i386 2:2013.11.06-dmo1 -> 2:2013.11.26-dmo1
[UPGRADE] mono-4.0-gac:i386 3.0.6+dfsg2-9 -> 3.0.6+dfsg2-10
[UPGRADE] mono-gac:i386 3.0.6+dfsg2-9 -> 3.0.6+dfsg2-10
[UPGRADE] mono-runtime:i386 3.0.6+dfsg2-9 -> 3.0.6+dfsg2-10


Ich vermute den libgdk-pixbuf2.0-0:i386 als Übeltàter. Wàhrend des
Updates kam noch eine Meldung (die ich eben nicht mehr finden kann), dass
er einen Cache nicht aufbauen könne.

Im ~/.cache/gdm/session.log habe ich u.a.:


(gnome-settings-daemon:5221): GnomeDesktop-WARNING **: Failed to load PNP
ids: Failed to open file '/usr/share/hwdata/pnp.ids': No such file or directory
g_dbus_connection_real_closed: Remote peer vanished with error:
Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark,
0). Exiting.
XIO: fatal IO error 4 (Interrupted system call) on X server ":0"
after 4022722 requests (4022722 known processed) with 2 events
remaining.
(gnome-settings-daemon:5221): Gdk-WARNING **: gnome-settings-daemon: Fatal
IO error 11 (Resource temporarily unavailable) on X server :0.

gnome-session[5146]: Gdk-WARNING: gnome-session: Fatal IO error 11
(Resource temporarily unavailable) on X server :0.


Ich kann GDM3 neu starten, aber es hilft nichts. Ich kann Gnome
allerdings mit startx hoch bringen. Es fehlen aber viele Dinge, wie
Rahmen, auch um Knöpfe (selbst im Browser), Grafiken (in der Leiste mit
Programmen links, die man sonst starten kann, fehlen bei vielen, aber
nicht allen, die Grafiken).

In /var/log/gdm3/:0-greeter.log noch Dinge wie:


(gnome-shell:4270): Gvc-WARNING **: Failed to connect context: Connection
refused
JS LOG: GNOME Shell started at Mon Dec 09 2013 12:27:29 GMT-0500
(EST)
Window manager warning: CurrentTime used to choose focus window; focus
window may not be correct.
Window manager warning: Got a request to focus the no_focus_window with a
timestamp of 0. This shouldn't happen!

(gnome-shell:4270): St-WARNING **: Failed to load
/usr/share/gnome-shell/theme/noise-texture.png: Unrecognized image file
format

(gnome-shell:4270): St-CRITICAL **: _st_create_texture_material:
assertion `src_texture != COGL_INVALID_HANDLE' failed
gnome-session[4204]: WARNING: App 'gnome-shell.desktop' respawning too
quickly

(gnome-settings-daemon:4225): GLib-GIO-CRITICAL **:
g_dbus_proxy_call_internal: assertion `G_IS_DBUS_PROXY (proxy)' failed


Traurig schon, wenn es PNG nicht kennt...

Ich habe nach einigen dieser Meldungen gegoogelt. Es gibt jede Menge
Treffer, aber zum Teil von 2007 oder 2011. Und wenn es Lösungen gab,
schlagen diese verschiedene Dinge vor, die ich daher nicht testen möchte.

Es wundert mich weiter, dass niemand hier vor mir offenbar ein Problem
hat, und auch niemand meiner Bekannten in Chat, die ich befragte...
Andreas

Linux - The choice of a GNU generation
 

Lesen sie die antworten

#1 Jürgen Schmadlak
10/12/2013 - 12:52 | Warnen spam
Andreas Kohlbach wrote:

Ich habe Debian Jessie und diverse Gnome und XFCE in aktuellen Versionen
in Englisch. Nach einem Update heute startet nicht mal mehr GDM3, und ich
bekomme einen Schirm "Oh no! Something went wrong" und nur einen Knopf
"Logout".



Ich habe nach dem Update keine Probleme. Mir ist jedoch die
Fehlermeldung mit dem Cache aufgefallen:

| GdkPixbuf-WARNING **: Cannot open pixbuf loader module file
| '/usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache':
| Datei oder Verzeichnis nicht gefunden
|
| This likely means that your installation is broken.
| Try running the command
| gdk-pixbuf-query-loaders > /usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
| to make things work again for the time being. at
| //usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 132.

HTH

Teenager in eine depressive Stimmung zu versetzen, ist wie Fische
aus einem Fass zu angeln.

Ähnliche fragen